Loading...
Searching...
No Matches
mongocxx::v1::client_encryption::options Class Reference

`#include <mongocxx/v1/client_encryption.hpp>`

## Description

Options for mongocxx::v1::client_encryption.

Supported fields include:

- key_vault_client ("keyVaultClient")
- key_vault_namespace ("keyVaultNamespace")
- kms_providers ("kmsProviders")
- tls_opts ("tlsOptions")

## Public Types

using | ns_pair = std::pair<std::string, std::string>
| The name of a database and a collection.

## Public Member Functions

| options ()
| Default initialization.
| options (options &&other) noexcept
| Move constructor.
| options (options const &other)
| Copy construction.
| ~options ()
| Destroy this object.
v1::client * | key_vault_client () const
| Return the current "keyVaultClient" field.
options & | key_vault_client (v1::client *v)
| Set the "keyVaultClient" field.
bsoncxx::v1::stdx::optional< ns_pair > | key_vault_namespace () const
| Return the current "keyVaultNamespace" field.
options & | key_vault_namespace (ns_pair v)
| Set the "keyVaultNamespace" field.
bsoncxx::v1::stdx::optional< bsoncxx::v1::document::view > | kms_providers () const
| Return the current "kmsProviders" field.
options & | kms_providers (bsoncxx::v1::document::value v)
| Set the "kmsProviders" field.
options & | operator= (options &&other) noexcept
| Move assignment.
options & | operator= (options const &other)
| Copy assignment.
bsoncxx::v1::stdx::optional< bsoncxx::v1::document::view > | tls_opts () const
| Return the current "tlsOptions" field.
options & | tls_opts (bsoncxx::v1::document::value v)
| Set the "tlsOptions" field.

## Member Typedef Documentation

## ns_pair

using mongocxx::v1::client_encryption::options::ns_pair = std::pair<std::string, std::string>

The name of a database and a collection.

ns_pair{"db", "coll"} // db.coll
mongocxx::v1::client_encryption::options::ns_pair
std::pair< std::string, std::string > ns_pair
The name of a database and a collection.
Definition client_encryption.hpp:356

## Constructor & Destructor Documentation

## ~options()

mongocxx::v1::client_encryption::options::~options | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## options() [1/3]

mongocxx::v1::client_encryption::options::options | ( | options && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## options() [2/3]

mongocxx::v1::client_encryption::options::options | ( | options const & | other | ) |

Copy construction.

## options() [3/3]

mongocxx::v1::client_encryption::options::options | ( |  | ) |

Default initialization.

Postconditions:
  - All supported fields are "unset" or zero-initialized.

## Member Function Documentation

## key_vault_client() [1/2]

v1::client * mongocxx::v1::client_encryption::options::key_vault_client | ( |  | ) | const

Return the current "keyVaultClient" field.

## key_vault_client() [2/2]

options & mongocxx::v1::client_encryption::options::key_vault_client | ( | v1::client * | v | ) |

Set the "keyVaultClient" field.

Important
  The associated client MUST outlive any client or pool configured to use this option.

Parameters

  v | Equivalent to "unset" when null.

## key_vault_namespace() [1/2]

bsoncxx::v1::stdx::optional< ns_pair > mongocxx::v1::client_encryption::options::key_vault_namespace | ( |  | ) | const

Return the current "keyVaultNamespace" field.

## key_vault_namespace() [2/2]

options & mongocxx::v1::client_encryption::options::key_vault_namespace | ( | ns_pair | v | ) |

Set the "keyVaultNamespace" field.

## kms_providers() [1/2]

bsoncxx::v1::stdx::optional< bsoncxx::v1::document::view > mongocxx::v1::client_encryption::options::kms_providers | ( |  | ) | const

Return the current "kmsProviders" field.

## kms_providers() [2/2]

options & mongocxx::v1::client_encryption::options::kms_providers | ( | bsoncxx::v1::document::value | v | ) |

Set the "kmsProviders" field.

## operator=() [1/2]

options & mongocxx::v1::client_encryption::options::operator= | ( | options && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

options & mongocxx::v1::client_encryption::options::operator= | ( | options const & | other | ) |

Copy assignment.

## tls_opts() [1/2]

bsoncxx::v1::stdx::optional< bsoncxx::v1::document::view > mongocxx::v1::client_encryption::options::tls_opts | ( |  | ) | const

Return the current "tlsOptions" field.

## tls_opts() [2/2]

options & mongocxx::v1::client_encryption::options::tls_opts | ( | bsoncxx::v1::document::value | v | ) |

Set the "tlsOptions" field.

The documentation for this class was generated from the following file:

- mongocxx/v1/client_encryption.hpp